import { BaseGestureConfig, ContinousBaseGesture } from './gesture';
import { ForceTouchGestureConfig, ForceTouchGestureHandlerEventPayload } from '../ForceTouchGestureHandler';
import { GestureUpdateEvent } from '../gestureHandlerCommon';
export type ForceTouchGestureChangeEventPayload = {
    forceChange: number;
};
export declare class ForceTouchGesture extends ContinousBaseGesture<ForceTouchGestureHandlerEventPayload, ForceTouchGestureChangeEventPayload> {
    config: BaseGestureConfig & ForceTouchGestureConfig;
    constructor();
    minForce(force: number): this;
    maxForce(force: number): this;
    feedbackOnActivation(value: boolean): this;
    onChange(callback: (event: GestureUpdateEvent<GestureUpdateEvent<ForceTouchGestureHandlerEventPayload & ForceTouchGestureChangeEventPayload>>) => void): this;
}
export type ForceTouchGestureType = InstanceType<typeof ForceTouchGesture>;
